%define anolis_release 1

Name:           gnome-control-center
Version:        44.1
Release:        %{anolis_release}%{?dist}
Summary:        Utilities to configure the GNOME desktop
 
License:        GPLv2+ and CC-BY-SA
URL:            http://www.gnome.org
Source0:        https://download.gnome.org/sources/%{name}/44/%{name}-%{version}.tar.xz
 
BuildRequires: docbook-style-xsl libxslt
BuildRequires: gcc gettext meson >= 0.57.0
BuildRequires: pkgconfig(accountsservice) >= 0.6.39
BuildRequires: pkgconfig(colord) >= 0.1.34
BuildRequires: pkgconfig(colord-gtk4) >= 0.1.24
BuildRequires: pkgconfig(cups) >= 1.4
BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(gcr-base-3)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.75.0
BuildRequires: pkgconfig(gnome-bg-4)
BuildRequires: pkgconfig(gnome-bluetooth-ui-3.0)
BuildRequires: pkgconfig(gnome-desktop-4)
BuildRequires: pkgconfig(gnome-rr-4)
BuildRequires: pkgconfig(gnome-settings-daemon) >= 41.0
BuildRequires: pkgconfig(gnutls)
BuildRequires: pkgconfig(goa-1.0) >= 3.25.3
BuildRequires: pkgconfig(gsettings-desktop-schemas) >= 42
BuildRequires: pkgconfig(gsound)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk4) >= 4.9.3
BuildRequires: pkgconfig(gudev-1.0) >= 232
BuildRequires: pkgconfig(ibus-1.0) >= 1.5.2
BuildRequires: pkgconfig(krb5)
BuildRequires: pkgconfig(libadwaita-1) >= 1.2
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libnm) >= 1.24.0
BuildRequires: pkgconfig(libnma-gtk4) >= 1.10.2
BuildRequires: pkgconfig(libpulse) >= 2.0
BuildRequires: pkgconfig(libpulse-mainloop-glib) >= 2.0
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: pkgconfig(libwacom) >= 0.7
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(malcontent-0) >= 0.10.0
BuildRequires: pkgconfig(mm-glib) >= 0.7
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.103
BuildRequires: pkgconfig(pwquality) >= 1.2.2
BuildRequires: pkgconfig(smbclient)
BuildRequires: pkgconfig(udisks2) >= 2.8.2
BuildRequires: pkgconfig(upower-glib) >= 0.99.8
BuildRequires: pkgconfig(x11) >= 1.8
BuildRequires: pkgconfig(xi) >= 1.2
BuildRequires: anolis-logos
 
# Versioned library deps
Requires: libadwaita >= 1.2
Requires: glib2 >= 2.75.0
Requires: gnome-desktop4 
Requires: gnome-online-accounts >= 3.25.3
Requires: gnome-settings-daemon >= 41.0
Requires: gsettings-desktop-schemas >= 42
Requires: gtk4 >= 4.9.3
Requires: upower >= 0.99.8
Requires: gnome-bluetooth
 
Requires: %{name}-filesystem = %{version}-%{release}
# For user accounts
Requires: accountsservice alsa-lib
# For the thunderbolt panel
Recommends: bolt
# For the color panel
Requires: colord
# For the printers panel
Requires: cups-pk-helper dbus
# For the info/details panel
Requires: glx-utils
# For the user languages
Requires: iso-codes
# For parental controls support
Requires: malcontent malcontent-control
# For the network panel
Recommends: NetworkManager-wifi nm-connection-editor
# For Show Details in the color and sharing panel
Recommends: gnome-color-manager gnome-remote-desktop
# For the keyboard panel
Requires: libgnomekbd
Recommends: rygel
# For the info/details panel
Recommends: switcheroo-control
# For the power panel
Recommends: power-profiles-daemon

Provides: control-center = 1:%{version}-%{release}
Provides: control-center = 1:%{version}-%{release}
Obsoletes: control-center < 1:%{version}-%{release}
 
%description
GNOME Settings is GNOME's main interface for configuration of various aspects of your desktop.
 
%package filesystem
Summary: GNOME Control Center directories
BuildArch: noarch
Provides: control-center-filesystem = 1:%{version}-%{release}
Obsoletes: control-center-filesystem < 1:%{version}-%{release}
 
%description filesystem
The GNOME control-center provides a number of extension points for applications.
This package contains directories where applications can install configuration
files that are picked up by the control-center utilities.
 
%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}
 
%build
%meson \
  -Ddocumentation=true \
  -Ddistributor_logo=%{_datadir}/pixmaps/system-logo-white.png \
  -Ddark_mode_distributor_logo=%{_datadir}/pixmaps/system-logo-white.png \
  -Dmalcontent=true \
  %{nil}
%meson_build

%install
%meson_install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties
 
# We don't want these
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/cursor-fonts
 
%find_lang %{name} --all-name --with-gnome
 
%files -f %{name}.lang
%license COPYING
%{_bindir}/gnome-control-center
%{_datadir}/applications/*.desktop
%{_datadir}/bash-completion/completions/gnome-control-center
%{_datadir}/dbus-1/services/org.gnome.Settings.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Settings.service
%{_datadir}/gettext/
%{_datadir}/glib-2.0/schemas/org.gnome.Settings.gschema.xml
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome-control-center/pixmaps
%{_datadir}/gnome-shell/search-providers/org.gnome.Settings.search-provider.ini
%{_datadir}/icons/gnome-logo-text*.svg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/man/man1/gnome-control-center.1*
%{_metainfodir}/org.gnome.Settings.appdata.xml
%{_datadir}/pixmaps/faces
%{_datadir}/pkgconfig/gnome-keybindings.pc
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.*.policy
%{_datadir}/polkit-1/rules.d/gnome-control-center.rules
%{_datadir}/sounds/gnome/default/*/*.ogg
%{_libexecdir}/cc-remote-login-helper
%{_libexecdir}/gnome-control-center-goa-helper
%{_libexecdir}/gnome-control-center-search-provider
%{_libexecdir}/gnome-control-center-print-renderer
 
%files filesystem
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%dir %{_datadir}/gnome/wm-properties

%files doc
%doc NEWS README.md
 
%changelog
* Fri Apr 21 2023 Funda Wang <fundawang@yeah.net> - 44.1-1
- New version 44.1

* Mon Apr 10 2023 yuanhui <yuanhui@linux.alibaba.com> - 44.0-2
- Optimize the spec file

* Sun Apr 9 2023 Funda Wang <fundawang@yeah.net> - 44.0-1
- New version 44.0

* Sat Mar 18 2023 yuanhui <yuanhui@linux.alibaba.com> - 44~rc-1
- Update to 44~rc

* Tue Feb 14 2023 Funda Wang <fundawang@yeah.net> - 42.9-1
- New version 42.9

* Sat Jan 21 2023 Funda Wang <fundawang@yeah.net> - 42.5-1
- New version 42.5

* Sun Dec 11 2022 Funda Wang <fundawang@yeah.net> - 42.4-1
- New version 42.4

* Fri Apr 22 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 42.0-2
- Fill in the dist info in Release line

* Wed Apr 13 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 42.0-1
- Init from upstream version 42.0


